<?php
require_once '../service/SpecialFieldInfoService.class.php';
require_once '../phpbean/SpecialFieldInfo.class.php';
require_once '../service/CollegeInfoService.class.php';
$collegeInfoService = new CollegeInfoService();
$specialFieldNumber = $_GET['specialFieldNumber'];
$specialFieldInfoService = new SpecialFieldInfoService();
$specialFieldInfo = $specialFieldInfoService->GetSpecialFieldInfo($specialFieldNumber);

/*使用 JSON数据格式返回*/
header('Content-type: text/json;charset=utf-8');
echo "{specialFieldNumber:\"".$specialFieldInfo->getSpecialFieldNumber()."\"";
echo ",specialFieldName:\"".$specialFieldInfo->getSpecialFieldName()."\"";
echo ",specialCollegeNumber:\"".$collegeInfoService->GetCollegeInfo($specialFieldInfo->getSpecialCollegeNumber())->getCollegeName()."\"";
echo ",specialBirthDate:\"".date("Y-m-d",strtotime($specialFieldInfo->getSpecialBirthDate()))."\"";
echo ",specialMan:\"".$specialFieldInfo->getSpecialMan()."\"";
echo ",specialTelephone:\"".$specialFieldInfo->getSpecialTelephone()."\"";
echo ",specialMemo:\"".$specialFieldInfo->getSpecialMemo()."\"";
echo "}"; 
?>
